Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.store
Interface QNameFactory

    public interface QNameFactory

Method Summary
`javax.xml.namespace.QName` | `getQName(char[] uriSrc, int uriPos, int uriCch, char[] localSrc, int localPos, int localCch)`
`javax.xml.namespace.QName` | `getQName(char[] uriSrc, int uriPos, int uriCch, char[] localSrc, int localPos, int localCch, char[] prefixSrc, int prefixPos, int prefixCch)`
`javax.xml.namespace.QName` | `getQName(java.lang.String uri, java.lang.String local)`
`javax.xml.namespace.QName` | `getQName(java.lang.String uri, java.lang.String local, java.lang.String prefix)`

Method Detail

### getQName

    javax.xml.namespace.QName getQName(java.lang.String uri,
                                       java.lang.String local)

### getQName

    javax.xml.namespace.QName getQName(java.lang.String uri,
                                       java.lang.String local,
                                       java.lang.String prefix)

### getQName

    javax.xml.namespace.QName getQName(char[] uriSrc,
                                       int uriPos,
                                       int uriCch,
                                       char[] localSrc,
                                       int localPos,
                                       int localCch)

### getQName

    javax.xml.namespace.QName getQName(char[] uriSrc,
                                       int uriPos,
                                       int uriCch,
                                       char[] localSrc,
                                       int localPos,
                                       int localCch,
                                       char[] prefixSrc,
                                       int prefixPos,
                                       int prefixCch)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD